## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate delharc

Name:           rust-delharc
Version:        0.6.1
Release:        %autorelease
Summary:        Library for parsing and extracting files from LHA/LZH archives

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/delharc
Source:         %{crates_source}
# * Crate is missing tests - https://github.com/royaltm/rust-delharc/issues/9
Source2:        https://github.com/royaltm/rust-delharc/archive/v%{version}/%{name}-%{version}-github.tar.gz
# Manually created patch for downstream crate metadata changes
# * Remove exmaples
Patch:          delharc-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for parsing and extracting files from LHA/LZH archives.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lh1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lh1-devel %{_description}

This package contains library source intended for building other packages which
use the "lh1" feature of the "%{crate}" crate.

%files       -n %{name}+lh1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lhx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lhx-devel %{_description}

This package contains library source intended for building other packages which
use the "lhx" feature of the "%{crate}" crate.

%files       -n %{name}+lhx-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lz-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lz-devel %{_description}

This package contains library source intended for building other packages which
use the "lz" feature of the "%{crate}" crate.

%files       -n %{name}+lz-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
tar xvf %SOURCE2 --strip-components=1 %{name}-%{version}/tests/\*
%cargo_prep
sed -i 's/\r//' *.md

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Oct 17 2024 Orion Poplawski <orion@nwra.com> - 0.6.1-1
- Initial Fedora package
## END: Generated by rpmautospec
